Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldTemplates Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldTemplates:

## Public Attributes
const | NODE_KEY = 'field_templates'
const | INFO = 'Template settings for fields rendered by the ez_render_field() Twig function'
const | INFO_TEMPLATE_KEY = 'Template file where to find block definition to display fields'

## Additional Inherited Members
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Templates
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...

## Detailed Description

Definition at line 9 of file FieldTemplates.php.

## Member Data Documentation

## ◆ INFO

const eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldTemplates::INFO = 'Template settings for fields rendered by the ez_render_field() Twig function'

Definition at line 12 of file FieldTemplates.php.

## ◆ INFO_TEMPLATE_KEY

const eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldTemplates::INFO_TEMPLATE_KEY = 'Template file where to find block definition to display fields'

Definition at line 13 of file FieldTemplates.php.

## ◆ NODE_KEY

const eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldTemplates::NODE_KEY = 'field_templates'

Definition at line 11 of file FieldTemplates.php.

The documentation for this class was generated from the following file:

- FieldTemplates.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.